# SDPVideoMediaDescription Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPVideoMediaDescription:

[legend]
Collaboration diagram for SDPVideoMediaDescription:
[legend]

## Public Member Functions

| SDPVideoMediaDescription (const OpalTransportAddress &address)
virtual SDPMediaDescription * | CreateEmpty () const
virtual PString | GetSDPMediaType () const
virtual bool | PreEncode ()
virtual bool | PrintOn (ostream &str, const PString &connectString) const
void | SetAttribute (const PString &attr, const PString &value)

## Constructor & Destructor Documentation

SDPVideoMediaDescription::SDPVideoMediaDescription | ( | const OpalTransportAddress & | address | ) |

## Member Function Documentation

virtual SDPMediaDescription* SDPVideoMediaDescription::CreateEmpty | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

virtual PString SDPVideoMediaDescription::GetSDPMediaType | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

virtual bool SDPVideoMediaDescription::PreEncode | ( |  | ) | `[virtual]`

Reimplemented from SDPMediaDescription.

virtual bool SDPVideoMediaDescription::PrintOn | ( | ostream & | str,
|  | const PString & | connectString |
| ) |  |  | const`[virtual]`

Reimplemented from SDPRTPAVPMediaDescription.

void SDPVideoMediaDescription::SetAttribute | ( | const PString & | attr,
|  | const PString & | value |
| ) |  |  | `[virtual]`

Reimplemented from SDPRTPAVPMediaDescription.

The documentation for this class was generated from the following file:

- sdp.h